Bug 483709 - Avarice needs updating 2.6 -> 2.8 with libusb
Avarice needs updating 2.6 -> 2.8 with libusb
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: avarice (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 03:24 EST by Jonas Jonsson
Modified: 2010-07-13 03:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: avarice-2.10-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Jonsson 2009-02-03 03:24:12 EST
The package avarice needs to be updated. Current version in Fedora is 2.6, current stable version is 2.8.

It seems that avarice isn't built with libusb support, this makes it hard to use this application with only USB connection.
Comment 1 Bug Zapper 2009-11-18 05:58:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Thomas Sailer 2010-04-29 05:30:32 EDT
Indeed. I've rebuilt the current version in fedora with libusb support:
http://sailer.fedorapeople.org/avarice-2.6-6.fc12.src.rpm
Comment 3 Thomas Sailer 2010-04-29 08:35:19 EDT
And now updated to 2.10.
http://sailer.fedorapeople.org/avarice-2.10-1.fc12.src.rpm

If I was provenpackager I'd probably just update it myself...
Comment 4 Adam Pribyl 2010-06-22 04:52:29 EDT
I'll try to add current builder Lucian Langa to CC - there is a different patch in oficial 2.10-1 fc13 compared to your src. Is it needed to build avarice with libusb support? Because it seems the build in F13 is 2.10 but without libusb support again.

http://koji.fedoraproject.org/koji/packageinfo?packageID=4933
Comment 5 Lucian Langa 2010-06-22 09:33:27 EDT
Thanks for notification.
I've rebuilt all targets.
Comment 6 Thomas Sailer 2010-06-22 09:54:55 EDT
My patch was needed as soon as libusb was present, otherwise modern gcc would refuse to compile it due to constness issues. I've briefly looked at the fc13 srpm, it seems to me that my patch is needed there as well.
Comment 7 Fedora Update System 2010-06-22 15:39:02 EDT
avarice-2.10-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/avarice-2.10-3.fc12
Comment 8 Fedora Update System 2010-06-22 15:40:35 EDT
avarice-2.10-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/avarice-2.10-4.fc13
Comment 9 Fedora Update System 2010-06-23 13:43:26 EDT
avarice-2.10-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update avarice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/avarice-2.10-4.fc13
Comment 10 Fedora Update System 2010-06-23 13:55:10 EDT
avarice-2.10-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update avarice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/avarice-2.10-3.fc12
Comment 11 Adam Pribyl 2010-07-01 10:24:31 EDT
For me on F13 this works now. Thanks.
Comment 12 Fedora Update System 2010-07-13 03:27:34 EDT
avarice-2.10-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-07-13 03:29:39 EDT
avarice-2.10-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.